﻿; ------------------------------------------------------------------------------------
; Benötigte Konstanten
; ------------------------------------------------------------------------------------

#iSep$ = "#"
#TYPE_LONG$ = "2"
#TYPE_STRING$ = "5"
#TYPE_FLOAT$ = "3"
#TYPE_DOUBLE$ = "6"
#TYPE_QUAD$ = "4"

; ------------------------------------------------------------------------------------
; Interne Funktionen
; ------------------------------------------------------------------------------------

Procedure.l PXFF_AddFunction(sFuncName.s, sReturnType.s, nParameters.w, sDefParameters.s, *ProcAddress)
  Shared sTotalFuncs.s
  sTotalFuncs + sFuncName + #iSep$ + sReturnType + #iSep$ + Str(nParameters) + #iSep$ + sDefParameters + #iSep$ + Str(*ProcAddress) + #SOH$
  
  ProcedureReturn #Null
EndProcedure

Procedure.l PXFF_PushFunctions()
  Protected *Buffer
  Shared sTotalFuncs.s
  
  *Buffer = AllocateMemory(StringByteLength(sTotalFuncs) + SizeOf(CHARACTER) )
  PokeS(*Buffer, sTotalFuncs)
  
  ProcedureReturn *Buffer
EndProcedure
; IDE Options = PureBasic 4.30 (Windows - x86)
; CursorPosition = 30
; Folding = -
; EnableXP
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant